Bug 748370 - guestfish fails to read disk images after os upgrade
Summary: guestfish fails to read disk images after os upgrade
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: libguestfs
Version: el5
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-24 09:45 UTC by Javier Fdez. Landa
Modified: 2011-11-25 02:06 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-11-25 02:06:09 UTC


Attachments (Terms of Use)
LIBGUESTFS_DEBUG=1 virt-inspector --xml nfs-virt/prueba.img (19.66 KB, text/plain)
2011-10-24 12:48 UTC, Javier Fdez. Landa
no flags Details
libguestfs-test-tool.txt (20.82 KB, text/plain)
2011-10-24 12:48 UTC, Javier Fdez. Landa
no flags Details

Description Javier Fdez. Landa 2011-10-24 09:45:41 UTC
Description of problem:

guestfish fails with any disk image after upgrading os (CentOS 5)

Version-Release number of selected component (if applicable):

OS: CentOS 5.7
libguestfs (EPEL 5 latest):
libguestfs-1.2.14-5.el5
guestfish-1.2.14-5.el5
perl-libguestfs-1.2.14-5.el5
libguestfs-tools-1.2.14-5.el5


How reproducible:

run:

guestfish -i prueba.img


  
Actual results:

# guestfish -i nfs-virt/prueba.img 
Could not open '/dev/kqemu' - QEMU acceleration layer not activated: No such file or directory
file: /dev/VG00/root: file: error while loading shared libraries: libz.so.1: cannot open shared object file: No such file or directory at /usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi/Sys/Guestfs/Lib.pm line 716.



Expected results:


Additional info:

Comment 1 Richard W.M. Jones 2011-10-24 10:06:23 UTC
Can you attach the complete, unedited output of:

libguestfs-test-tool

Comment 2 Richard W.M. Jones 2011-10-24 10:07:54 UTC
And also:

LIBGUESTFS_DEBUG=1 virt-inspector --xml nfs-virt/prueba.img

Comment 3 Javier Fdez. Landa 2011-10-24 12:48:01 UTC
Created attachment 529858 [details]
LIBGUESTFS_DEBUG=1 virt-inspector --xml nfs-virt/prueba.img

Comment 4 Javier Fdez. Landa 2011-10-24 12:48:39 UTC
Created attachment 529859 [details]
libguestfs-test-tool.txt

Comment 5 Richard W.M. Jones 2011-10-24 13:18:39 UTC
Thanks for that.

I actually just tested this using a real Red Hat Enterprise Linux 5.6
machine and it works.  Can you try the following commands.  For your
reference the output from RHEL 5.6 is shown.

$ ls {,/usr}{/lib,/lib64}/libz.so*
ls: /lib/libz.so*: No such file or directory
ls: /lib64/libz.so*: No such file or directory
/usr/lib64/libz.so    /usr/lib64/libz.so.1.2.3  /usr/lib/libz.so.1
/usr/lib64/libz.so.1  /usr/lib/libz.so          /usr/lib/libz.so.1.2.3

$ grep libz /usr/lib64/guestfs/initramfs.epel-5.x86_64.supermin.hostfiles 
./usr/lib64/libz.so.1
./usr/lib64/libz.so.1.*

$ rpm -qa --qf '%{name} %{version} %{arch}\n' | grep zlib
zlib 1.2.3 x86_64
zlib 1.2.3 i386
zlib-devel 1.2.3 x86_64
zlib-devel 1.2.3 i386

Comment 6 Javier Fdez. Landa 2011-10-24 14:17:15 UTC
Here are the output of the same commands plus others from my CentOS 5.7. There are new libz libraries in /lib and /lib64 directories.

[root@nim1 ~]# ls {,/usr}{/lib,/lib64}/libz.so*
/lib64/libz.so.1      /lib/libz.so.1.2.3        /usr/lib/libz.so.1
/lib64/libz.so.1.2.3  /usr/lib64/libz.so.1      /usr/lib/libz.so.1.2.3
/lib/libz.so.1        /usr/lib64/libz.so.1.2.3

[root@nim1 ~]# grep libz /usr/lib64/guestfs/initramfs.epel-5.x86_64.supermin.hostfiles
./usr/lib64/libz.so.1
./usr/lib64/libz.so.1.*

[root@nim1 ~]# rpm -qa --qf '%{name} %{version} %{arch}\n' | grep zlib
zlib 1.2.3 i386
zlib 1.2.3 x86_64

[root@nim1 ~]# rpm -qf /lib64/libz.so.1
zlib-1.2.3-4.el5

[root@nim1 ~]# rpm -qf /lib/libz.so.1
zlib-1.2.3-4.el5

[root@nim1 ~]# rpm -ql zlib-1.2.3-4.el5.i386
/lib/libz.so.1
/lib/libz.so.1.2.3
/usr/lib/libz.so.1
/usr/lib/libz.so.1.2.3
/usr/share/doc/zlib-1.2.3
/usr/share/doc/zlib-1.2.3/README

[root@nim1 ~]# rpm -ql zlib-1.2.3-4.el5.x86_64
/lib64/libz.so.1
/lib64/libz.so.1.2.3
/usr/lib64/libz.so.1
/usr/lib64/libz.so.1.2.3
/usr/share/doc/zlib-1.2.3
/usr/share/doc/zlib-1.2.3/README

[root@nim1 ~]# uname -a
Linux nim1.unavarra.es 2.6.18-274.3.1.el5 #1 SMP Tue Sep 6 20:13:52 EDT 2011 x86_64 x86_64 x86_64 GNU/Linux

[root@nim1 ~]# cat /etc/redhat-release
CentOS release 5.7 (Final)

Comment 7 Richard W.M. Jones 2011-10-24 14:55:15 UTC
Just updating my machine to RHEL 5.7 to see if I can
reproduce the problem there.

Comment 8 Richard W.M. Jones 2011-10-24 16:58:06 UTC
I can reproduce this in RHEL 5.7.  It seems like they've
moved the zlib libraries around (but with symlinks).

This needs a libguestfs rebuild which I have kicked off here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3456860

Comment 9 Richard W.M. Jones 2011-10-24 18:51:13 UTC
Try this one instead:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3457109

Comment 10 Fedora Update System 2011-10-24 19:03:52 UTC
libguestfs-1.2.14-7.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/libguestfs-1.2.14-7.el5

Comment 11 Javier Fdez. Landa 2011-10-25 07:55:10 UTC
New packages tested: Everything OK. Bug resolved. Thanks.

Comment 12 Fedora Update System 2011-10-27 19:08:41 UTC
Package libguestfs-1.2.14-7.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing libguestfs-1.2.14-7.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2011-4770
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2011-11-25 02:06:09 UTC
libguestfs-1.2.14-7.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.